<?php 
/** 
 * Welcome the the CLF Base theme
 * This theme is a child theme of the excelent Hybrid Theme Framework - http://themehybrid.com/
 * 
 * Functions File
 *
 * Loads theme functions before templates kick in.
 * 
 *
 **/

/** 
 * Load the clf base options 
 * use the global $clf_base_options instead of calling the get_option('clf_base');
 */
 
define( 'THEME_DIR', get_template_directory() );
define( 'THEME_URI', get_template_directory_uri() );
define( 'CHILD_THEME_DIR', get_stylesheet_directory() );
define( 'CHILD_THEME_URI', get_stylesheet_directory_uri() );


$clf_base_options = get_option('clf_base');
$clf_base_version = 22; // the first version is number 7  because it is a lucky number	

/**
 * Set the content width based on the theme's design and stylesheet.
 *
 * Used to set the width of images and content. Should be equal to the width the theme
 * is designed for, generally via the style.css stylesheet.
 */
if ( ! isset( $content_width ) )
	$content_width = 560;
	
$clf_base_load_backend = false;
if($clf_base_options['version'] < $clf_base_version || empty($clf_base_options['version']) || is_admin() ):
	$clf_base_load_backend = true;
	
endif;

$wp_site_upload_directory = wp_upload_dir();

// this should help prevent the broken pages becuasse the stylesheet wasn't generated properly
if( !file_exists($wp_site_upload_directory ['basedir'].'/clf_base/css/'.$clf_base_options['style']['mini']) || 
    !file_exists($wp_site_upload_directory ['basedir'].'/clf_base/css/clf-base-admin.css') ):
	$clf_base_load_backend = true;
	
	if($clf_base_options['version'] == $clf_base_version) // the update fail to generate the style sheet 
		$clf_base_options['version']--; // force the update again. 
	
endif;

add_action( 'after_setup_theme', 'clf_base_theme_setup_theme', 11 );

function clf_base_theme_setup_theme(){

	/* clf-base- Features */
	add_theme_support( 'clf' );
	add_theme_support( 'clf-layout' );
	add_theme_support( 'clf-fonts-and-colors' );
	add_theme_support( 'clf-navigation' );
	add_theme_support( 'clf-display-options' );
	add_theme_support( 'clf-images' );
	add_theme_support( 'clf-scripts' );
	add_theme_support( 'clf-frontpage' );
	add_theme_support( 'clf-custom-fields' );
	add_theme_support( 'clf-SEO' );
	add_theme_support( 'clf-shortcodes' );
	
	add_theme_support( 'tabs', 'style-only' );
	add_theme_support( 'accordions', 'style-only' );
	
	add_theme_support( 'grid', 'style-only' );
}

require("library/global-theme-settings/admin.php");
require("library/admin/theme-options.php");

/*
require("library/clf-header/init.php");
require("library/clf/init.php");
require("library/layout/init.php");
require("library/fonts-and-colors/init.php");
require("library/navigation/init.php");
require("library/display-options/init.php");
require("library/images/init.php");
require("library/scripts/init.php");
require("library/frontpage/init.php");
require("library/custom-fields/init.php");
require("library/mobile/init.php");
require("library/SEO/init.php");
// require("library/widget-areas/init.php");
require("library/shortcodes/init.php");
// require("library/html-basics/init.php");
require("library/global-theme-settings/admin.php");
require("library/admin/theme-options.php");
*/

