<?php 

if( class_exists( 'Custom_JavaScript_Meta_Box' ) && isset( $clf_base_options['custom_fields']['custom_javascript'] ) )
	unset( $clf_base_options['custom_fields']['custom_javascript'] );


if( class_exists( 'Custom_CSS_Meta_Box' ) && isset( $clf_base_options['custom_fields']['custom_css'] ) )
	unset( $clf_base_options['custom_fields']['custom_css'] );

if( !class_exists( 'Custom_CSS_Meta_Box' ) ) 
	add_action("hybrid_head",'clf_base_custom_fields_custom_css');
	




// add the custom css to this field

/**
 * clf_base_custom_fields_custom_css function.
 * 
 * @access public
 * @return void
 */
function clf_base_custom_fields_custom_css()
{
	
	global $post, $clf_base_options;
	if( !isset( $clf_base_options['custom_fields']['custom_css'] ) )
		return;
	
	if(is_single() || is_page())
	$custom_fields = get_post_custom_values('_custom_css', $post->ID);
	
	if(isset($custom_fields)):
		foreach($custom_fields as  $custom_field):
			echo '<style type="text/css">';
			echo $custom_field;
			echo '</style>
			';
		endforeach;
	endif;
}

if( isset($clf_base_options['custom_fields']['custom_css']) &&  !isset($clf_base_options['custom_fields']['custom_javascript'])) :
	/* Use the admin_menu action to define the custom boxes */
	add_action('admin_menu', 'clf_base_custom_fields_custom_css_box');
	
	/* Use the save_post action to do something with the data entered */
	add_action('save_post', 'clf_base_custom_fields_custom_css_box_save');
	
	add_action( 'admin_print_styles-post-new.php', 'clf_base_custom_fields_custom_add_css_script_and_style');
	add_action( 'admin_print_styles-post.php','clf_base_custom_fields_custom_add_css_script_and_style');
endif;

/**
 * clf_base_custom_fields_custom_add_css_script_and_style function.
 * 
 * @access public
 * @return void
 */
function clf_base_custom_fields_custom_add_css_script_and_style(){
	global $post;
	if( in_array($post->post_type, array('post','page') )):
		wp_enqueue_script('clf-base-custom-script-style', get_bloginfo('stylesheet_directory').'/library/custom-fields/codemirror/codemirror.js', array('jquery','jquery-ui-tabs'));
		
		wp_enqueue_script('clf-base-custom-script-css', get_bloginfo('stylesheet_directory').'/library/custom-fields/codemirror/css.js', array('clf-base-custom-script-style'));
		
		wp_enqueue_style('clf-base-custom-script-style', get_bloginfo('stylesheet_directory').'/library/custom-fields/codemirror/codemirror.css');
	endif;
}
/* Adds a custom section to the "advanced" Post and Page edit screens */
function clf_base_custom_fields_custom_css_box() {
	add_meta_box( 'clf_base_custom_fields_custom_css_box', __( 'Custom CSS', 'clf_base' ), 'clf_base_custom_fields_custom_css_box_inner', 'post', 'advanced','low' );
	add_meta_box( 'clf_base_custom_fields_custom_css_box', __( 'Custom CSS', 'clf_base' ), 'clf_base_custom_fields_custom_css_box_inner', 'page', 'advanced','low' );
	
}

/**
 * clf_base_custom_fields_custom_css_box_inner function.
 * 
 * @access public
 * @return void
 */
function clf_base_custom_fields_custom_css_box_inner()
{
   global $post;
  
   $clf_base_permission_a = get_post_meta($post->ID, '_custom_css');
   $clf_base_permission =  $clf_base_permission_a[0];

   // Use nonce for verification
   echo '<input type="hidden" name="clf_base_custom_fields_custom_css_noncename" id="clf_base_permissions_noncename_custom_css" value="' . wp_create_nonce( 'clf-base-custom-css' ) . '" />';
	
   // The actual fields for data entry
  ?>
  	<pre><code> &lt;style type="text/css" &gt;</code></pre>
  	<textarea name="clf_base_custom_css"  id="clf-base-custom-css"><?php echo $clf_base_permission; ?></textarea>
  	<pre><code> &lt;/style&gt;</code></pre>
  <?php

}

/**
 * clf_base_custom_fields_custom_css_box_save function.
 * 
 * @access public
 * @param mixed $post_id
 * @return void
 */
function clf_base_custom_fields_custom_css_box_save($post_id)
{
	
	if ( !wp_verify_nonce( $_POST['clf_base_custom_fields_custom_css_noncename'], 'clf-base-custom-css' )) {
			return $post_id;
	}
	
	// verify if this is an auto save routine. If it is our form has not been submitted, so we dont want
	// to do anything
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
	return $post_id;
	
	
	$data = $_POST['clf_base_custom_css'];
	
	// Do something with $mydata 
	// probably using add_post_meta(), update_post_meta(), or 
	// a custom table (see Further Reading section below)
	
	if(get_post_meta($post_id, '_custom_css') == "")  
		add_post_meta($post_id, '_custom_css', $data, true);  
	
	elseif($data != get_post_meta($post_id, '_custom_css', true))  
		update_post_meta($post_id, '_custom_css', $data);
	
	return $post_id;
}