jQuery(function($) {
	
	$("#primary-color").ColorPicker({
		onSubmit: function(hsb, hex, rgb, el) {
			
			$(el).val(hex);
			$(el).ColorPickerHide();
			$(el).change();
				},
		onBeforeShow: function () {
			$(this).ColorPickerSetColor(this.value);
		},
		onHide : function(picker) {
			$("#primary-color").trigger('change');
		},
		onChange : function(hsb, hex, rgb, el) {
			$("#primary-color").val(hex);
			$("#primary-color").trigger("change");
		}
	}).bind('keyup', function(){
		$(this).ColorPickerSetColor(this.value);
		$(this).change();
	}).change(function(){
		var hex = $("#primary-color").val();
		$('#primary-color-box').css({'background-color':'#'+hex});
		
		change_font_preview("#primary-color","hcolor");
	});
	
	
	$("#secondary-color").ColorPicker({
		onSubmit: function(hsb, hex, rgb, el) {
			
			$(el).val(hex);
			$(el).ColorPickerHide();
			$(el).change();
				},
		onBeforeShow: function () {
			$(this).ColorPickerSetColor(this.value);
		},
		onHide : function(picker) {
			$("#secondary-color").trigger('change');
		},
		onChange : function(hsb, hex, rgb, el) {
			$("#secondary-color").val(hex);
			$("#secondary-color").trigger("change");
		}
	}).bind('keyup', function(){
		$(this).ColorPickerSetColor(this.value);
		$(this).change();
	}).change(function(){
		var hex = $("#secondary-color").val();
		$('#secondary-color-box').css({'background-color':'#'+hex});
	});
	
	$("#alternate-color").ColorPicker({
		onSubmit: function(hsb, hex, rgb, el) {
			
			$(el).val(hex);
			$(el).ColorPickerHide();
			$(el).change();
				},
		onBeforeShow: function () {
			$(this).ColorPickerSetColor(this.value);
		},
		onHide : function(picker) {
			$("#alternate-color").trigger('change');
		},
		onChange : function(hsb, hex, rgb, el) {
			$("#alternate-color").val(hex);
			$("#alternate-color").trigger("change");
		}
	}).bind('keyup', function(){
		$(this).ColorPickerSetColor(this.value);
		$(this).change();
	}).change(function(){
		var hex = $("#alternate-color").val();
		$('#alternate-color-box').css({'background-color':'#'+hex});
	});
	// reset colour for vancouver 
	$("#reset-colors-vancouver").click(function(){
		$("#primary-color").val("002859").trigger("change");
		$("#secondary-color").val("7491a3").trigger("change");
		$("#alternate-color").val("d1d9de").trigger("change");
	});
	// reset colour for Okanagan
	$("#reset-colors-okanagan").click(function(){
		$("#primary-color").val("3b4629").trigger("change");
		$("#secondary-color").val("61704b").trigger("change");
		$("#alternate-color").val("ecf0e0").trigger("change");
	});
	
	$("#typography-style").change(function(){ change_font_preview(this,"style"); });
	$("#heading-fonts").change(function(){ change_font_preview(this,"heading"); });
	$("#body-fonts").change(function(){ change_font_preview(this,"body"); });
	});

function replace_query_url(query,key,value){
	
	var vars = query.split("&");
	first_line = vars[0].split('?');
	vars[0] = first_line[1];
	
	var var_l =	 vars.length;
	for (var i=0;i<var_l;i++) {
		var pair = vars[i].split("=");
		if (pair[0] == key) {
				pair[1] = value;
				vars[i] = pair[0]+"="+pair[1];
		}
		
		}
	return first_line[0]+"?"+vars.join("&");		
}


function change_font_preview(el,key){
	var value = jQuery(el).val();
	var iframe = jQuery("#font-preview");
	var uri = iframe.attr('src');
	var new_url = replace_query_url(uri, key,value);
	iframe.attr('src',new_url);
}


