<?php 
/**
 *  
 * Global Theme settings Admin panel
 *
 **/

// only add this if the user has more then one site with the theme enabled 

//if ( is_admin() ){ // admin actions
global $clf_base_load_backend;
if($clf_base_load_backend)
	require_once("panel.php");

if ( ! isset($current_user) ) $current_user = wp_get_current_user();

if($current_user->id):
	$clf_base_sites = get_blogs_of_user( $current_user->id );
	
	foreach($clf_base_sites as $clf_base_site):
	    $current_user_array = (array) $current_user;
	  	
	  	if(isset($current_user_array["wp_".$clf_base_site->userblog_id."_capabilities"]['administrator']) );
	  		$clf_base_sites_admin[] = $clf_base_site;
	endforeach;
	  
	if(sizeof($clf_base_sites_admin) >1) 
	  	add_action('admin_menu', 'clf_base_global_theme_settings_menu');
	 
	unset( $current_user_array, $clf_base_sites);
	
endif;

add_action("init","clf_base_global_theme_settings_add_actions");
add_action('clf_base_theme_options_validate', 'clf_base_global_theme_settings_validate');

/**
 * clf_base_global_theme_settings_add_actions function.
 * 
 * @access public
 * @return void
 */
function clf_base_global_theme_settings_add_actions( $options=false ) {
	
	global $clf_base_options;
	if(!$options)
	$options = $clf_base_options;
	
	// there is a special case fo the 

	if(is_array($options["global"])):
	foreach($options["global"] as $action=>$items):
		
		foreach( $items as $key=>$value ):
			if(!empty($value)):
				// create a function that is later called that echoes out the content
			$value = htmlspecialchars($value,ENT_QUOTES);
				$newfunc = create_function('', "print htmlspecialchars_decode('".$value."',ENT_QUOTES);");  
				add_action($action, $newfunc);

			endif;
		endforeach;	
	
	endforeach;
	endif;
}

function clf_base_global_theme_settings_validate( $options ) {
	
	if(!empty($options)):
	foreach( (array)$options["global"] as $action=>$items):
	
		foreach( $items as $label=>$value ):
			
			if($value):
				// $value = esc_attr(stripcslashes(trim($value)));
				// $value = 
				$options["global"][$action][$label] = stripcslashes(trim(preg_replace('/\r/', '', $value)));		
			endif;
			
		endforeach;	
	
	endforeach;
	endif;
	
	return $options;
}


function clf_base_global_theme_settings_menu() {

	
	$dashborad = add_dashboard_page("Global Theme Settings", "Global Theme Settings", 'switch_themes', 'global-theme-settings', 'clf_base_global_theme_settings_page');
	
	//add_action('admin_print_scripts-' . $dashborad, 'clf_base_global_settings_styles');
	add_action('admin_print_styles-' . $dashborad, 'clf_base_global_settings_styles');
	add_action('clf_base_global_settings','clf_base_global_settings_add_fields');
}

function clf_base_global_settings_styles() {
		
		wp_enqueue_script('clf-base-global-admin', get_bloginfo('stylesheet_directory').'/library/global-theme-settings/admin.js',array('jquery','thickbox'),'1.0' );
		wp_enqueue_style('clf-base-global-admin', get_bloginfo('stylesheet_directory').'/library/global-theme-settings/admin.css');
		wp_enqueue_style('thickbox');
}


function clf_base_global_theme_settings_page() {
	global $clf_base_sites_admin,$current_user, $clf_base_options,$blog_id;
	
	$current_blog_id = $blog_id;
	
	if($_POST)
		check_admin_referer( 'clf-base-global-options');
	
	// clf_base_global_theme_settings_add_actions($site->clf_base_option);
	$clf_base_sites_admin_clf_base_same = array();
	foreach($clf_base_sites_admin as $site):
		
		switch_to_blog($site->userblog_id);
		$site->clf_base_option =  get_option('clf_base');
		
		// save the new options if the form is submited 
		if( isset($_POST['blog_id']) ):
			$clf_base_options = clf_base_global_theme_settings_validate($_POST); //  ['global'];
			if( in_array($site->userblog_id, $_POST['blog_id']) ):
			// this needs to be updated 
		    $_POST = clf_base_global_theme_settings_validate($_POST);
			$site->clf_base_option['global'] = $_POST['global'];
			
			// we need to define the action to be called to save the css iptions now 
						
			$worked = update_option('clf_base', $site->clf_base_option );
				
			endif;
			// make sure that the global clf_base is updated 
							
		endif;
		

		// seperate the sites into 2 different pile 
		// the once that are the same 
		
		if( ($site->clf_base_option['global'] == $clf_base_options['global']) &&  $site->clf_base_option)
			$clf_base_sites_admin_clf_base_same[] = $site;
						
		// the once that are clf-base 
		elseif($site->clf_base_option)
			$clf_base_sites_admin_clf_base[] = $site;
		// update blog option 
		
		restore_current_blog();
		
	endforeach;
	
	
?>
<div class="wrap">
	<h2>Global Theme Settings</h2>
	
	<form method="post" action="index.php?page=global-theme-settings" id="clf-base-global-settings" >
		<?php wp_nonce_field('clf-base-global-options'); ?>
		<div class="metabox-holder has-right-sidebar" id="poststuff">
		
			<div class="inner-sidebar" id="side-info-column">
			
				<div class="stuffbox">
				<h3>Sites</h3>
				<div>
				<input type="hidden" name="blog_id[]" value="<?php echo $current_blog_id; ?>" />
				<p  class="inside">Sites with the same global settings</p>
				<ul style="padding-left:10px;">
					<?php foreach( $clf_base_sites_admin_clf_base_same as $site):
					if($site->userblog_id != $blog_id ):
					 ?>
						<li><label><input alt="<?php echo $site->blogname; ?>" title="<?php echo esc_url( 'http://' . $site->domain . $site->path );?>"   type="checkbox" id="blogs-id-<?php echo $site->userblog_id; ?>" checked="checked" value="<?php echo $site->userblog_id; ?>" name="blog_id[]" /> <strong><?php echo $site->blogname; ?></strong></label> <a href="<?php echo esc_url( 'http://' . $site->domain . $site->path );?>">visit</a></li>
					
					<?php else: // the current site 
								$current_site = $site;
						
					 	endif;
					 endforeach; ?>
					
				
				</ul>
				<?php 
				if($clf_base_sites_admin_clf_base):
				?>
				<p  class="inside">the rest</p>
				<ul style="padding-left:10px;">
										
					<?php 
					
					foreach($clf_base_sites_admin_clf_base as $site):
					if($site->userblog_id != $blog_id ):
					 ?>
						<li><label><input type="checkbox" alt="<?php echo $site->blogname; ?>" title="<?php echo esc_url( 'http://' . $site->domain . $site->path );?>" id="blogs-id-<?php echo $site->userblog_id; ?>" value="<?php echo $site->userblog_id; ?>" name="blog_id[]" /> <strong><?php echo $site->blogname; ?></strong></label> <a href="<?php echo esc_url( 'http://' . $site->domain . $site->path );?>">visit</a></li>
					<?php endif; ?>
					<?php endforeach; ?>
					
					
					
				
				</ul>
				<?php
					endif;
				?>
				
				</p>
					</div>
					<div id="major-publishing-actions">
						<span class="submit"><input type="button" class="button-primary thickbox" value="<?php _e('Save Changes') ?>"
						alt="#TB_inline?height=480&amp;width=500&amp;inlineId=major-publishing-actions-shell" title="" /></span>
					</div>
				</div>
				
			</div>
			<div id="post-body">
			<div id="post-body-content">
				<?php do_action('clf_base_global_settings'); ?>
			</div>
			</div>
		</div>
		<div id="major-publishing-actions-shell" style="display:none">
		<p>These changes will effect <strong><?php echo $current_site->blogname; ?></strong> - the current site<br />
		<span id="major-publishing-actions-shell-sites" class="hide">
		<strong>Note:</strong><br />
		Your changes are about to effect the following sites:
		</span>
	
		</p>
			<ol id="major-publishing-actions-sites"><li></li></ol>
			<p><input type="submit" class="button-primary" id="major-publishing-actions-submit" value="<?php _e('Save Changes and Continue &rarr;') ?>" /> or <input type="button" value="Cancel" class="button" id="major-publishing-actions-cancel" /> </p>
		</div>
	</form>
</div>

<?php 
} 



/**
 * clf_base_global_settings_add_fields function.
 * 
 * @access public
 * @return void
 */
function clf_base_global_settings_add_fields() {
	// determine what items to call and when
	clf_base_global_theme_settings_page_helper("Custom CSS","clf_base_add_style_css_content_action",'textarea','Custom CSS will be appended',1);
	clf_base_global_theme_settings_page_helper("Custom Javascript","hybrid_after_html",'textarea','Javascript will appear at the end of everything',2);
	clf_base_global_theme_settings_page_helper("Custom Navigation","hybrid_before_header",'textarea','Place any valid HTML, it will appear before navigation Menu',3,"before ");
	clf_base_global_theme_settings_page_helper("CLF Faculty Footer Textarea","clf_base_footer_faculty_area",'textarea','Place any valid HTML',1);
	clf_base_global_theme_settings_page_helper("CLF Unit Footer Textarea","clf_base_footer_unit_area",'textarea','Place any valid HTML',1);
}
/**
 * clf_base_global_theme_settings_page_helper function.
 * Helper function 
 * @access public
 * @return void
 */
function clf_base_global_theme_settings_page_helper( $label, $action, $type='textarea', $explaination='', $tabindex='', $before_label='') {
	global $clf_base_options;
	$sanitized_label = sanitize_title_with_dashes($before_label.$label);
	?>
	<div class="stuffbox" id="namediv">
		<h3><label for="<?php echo $action; ?>"><?php echo $label; ?></label></h3>
		<div class="inside">
			<textarea id="<?php echo $action; ?>" tabindex="<?php echo $tabindex; ?>" style="width:100%; height:200px" name="global[<?php echo $action; ?>][<?php echo $sanitized_label; ?>]"><?php echo stripcslashes(trim($clf_base_options['global'][$action][$sanitized_label]));?></textarea>
				<p> <?php echo $explaination; ?> </p>
		</div>
	</div>
	<?php

}



