<?php 
/** 
 * Images
 *
 */
add_action('admin_init', 'clf_base_images');
add_action('wp_ajax_add_header', 'clf_base_add_header' );
/**
 * clf_base_images function.
 * 
 * @access public
 * @return void
 */
function clf_base_images() {
	// add_settings_section('images', 'Images', 'clf_base_theme_options_images', 'clf-base-theme-options');
	
	add_settings_field('clf-base-images-header', 'Header Image', 'clf_base_theme_options_images_header', 'clf-base-theme-options', 'display-options');
	// add_settings_field('clf-base-images-select-layout', 'Post Thumbnail Image', 'clf_base_theme_options_images_thumbnails', 'clf-base-theme-options', 'display-options');
	
	add_action('clf_base_admin_ui','clf_base_images_styles');
	add_action('clf_base_admin_ui','clf_base_images_ui');
}

function clf_base_images_ui() {	
	wp_enqueue_script('clf-base-image-panel', get_bloginfo('stylesheet_directory').'/library/images/panel.js', array('jquery'),1,true);

}


/**
 * clf_base_images_styles function.
 * 
 * @access public
 * @return void
 */
function clf_base_images_styles() {
	wp_enqueue_style('thickbox');
	wp_enqueue_script('thickbox');
}

/**
 * clf_base_theme_options_images function.
 * 
 * @access public
 * @return void
 */	
function clf_base_theme_options_images() {}

/**
 * clf_base_theme_options_images_header function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_images_header() {
	global $clf_base_options;
	?>
	
	<div>
		<div class="explanation">
		<h3><label><input type="checkbox" name="clf_base[images][header][enable]" value="1" <?php checked(isset( $clf_base_options['images']['header']['enable'])); ?>/> Display the header image</label></h3>
		
		<p>Enable the header image feature.  This feature allows you to specify an image as a sub-header, appearing between the navigation bar and the content area.</p>
		<p>This is useful for adding a sub-branding imagery unique to your unit and enhancing branding on your site.</p>
		</div>
		<span><a href='<?php echo admin_url('themes.php?page=custom-header'); ?>' title='Add a Default Header Image' >Add a Default Header Image</a></span> The header image should be at least 980px in width and 150px in height. <br />
		<br />
		<label><strong>Current Header Image</strong></label>
		<div id="default-header-image">
		<?php if( get_header_image() ): ?>
		<img src="<?php esc_url( header_image() ) ?>" width="600px" alt="default header image" />
		<?php else: ?>
		
		<?php endif; ?>
		</div>
		<p><strong>Note</strong>: You can have a different header image for specific page by using the "Feature Image" box when editing a page.</p>
	</div>

	<?php
}

/**
 * clf_base_theme_options_images_thumbnails function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_images_thumbnails(){
	global $clf_base_options;
	?>
	<div class="half">
		<label><input type="checkbox" name="clf_base[images][thumbnail][enable]" value="common" <?php checked( isset($clf_base_options['images']['thumbnail']['enable'])); ?>/> enable</label>
		
	</div>
	<?php
}

/**
 * clf_base_add_header function.
 * 
 * @access public
 * @return void
 */
function clf_base_add_header()
{
	require_once("header/add-header.php");
	exit;

}