<?php
/** 
 * Layout
 * 
 * Lets the user choose what layout grid they want to use and enables that with css
 */

global $clf_base_load_backend;
if($clf_base_load_backend)
	require_once("panel.php");
//

// add_action('init', 'clf_base_layout_init'); /* adds the layout styles to the theme */
add_action("template_redirect","clf_base_layout_body_class");

/**
 * clf_base_layout_init function.
 * 
 * @access public
 * @return void
 */
function clf_base_layout_init() {
	// register styles  
	if(!is_admin()):
		wp_register_style('clf-base-layout', get_bloginfo('stylesheet_directory').'/library/layout/css/layout.css');
		wp_enqueue_style('clf-base-layout');

	endif;
}

/**
 * clf_base_layout_body_class function.
 * 
 * @access public
 * @return void
 */
function clf_base_layout_body_class() {
	global $clf_base_options, $post;;
	add_filter('hybrid_body_class', 'clf_base_layout_body_class_filter');
	
	$clf_base_layout_a = get_post_meta($post->ID, '_layout_value');
	
	if($clf_base_layout_a[0] == 'l1-column' || ( $clf_base_layout_a[0] =='default' &&  $clf_base_options['layout'] == 'l1-column' )):
		add_filter( 'sidebars_widgets', 'clf_base_single_column_remove_sidebars' );
	endif;
}    


function clf_base_single_column_remove_sidebars($sidebars_widgets ) {
	
		unset($sidebars_widgets['primary']); 
		unset($sidebars_widgets['secondary']);
	
	return $sidebars_widgets;
}
/**
 * clf_base_layout_body_class_filter function.
 * 
 * @access public
 * @param mixed $body_class
 * @return void
 */
function clf_base_layout_body_class_filter($body_class)
{
	global $clf_base_options, $post;
  
    $clf_base_layout_a = get_post_meta($post->ID, '_layout_value');
    if($clf_base_layout_a[0] == "" || $clf_base_layout_a[0] == "default")
		return $body_class. " ".$clf_base_options['layout']." ". substr($clf_base_options['layout'], 0, 9); 
	else
		return $body_class. " ".$clf_base_layout_a[0]." ". substr($clf_base_layout_a[0], 0, 9); 
}

