<?php 
/** 
 * Layout
 *
 */
add_action('admin_init', 'clf_base_layout');


/* Use the admin_menu action to define the custom boxes */
add_action('admin_menu', 'clf_base_layout_box');

/* Use the save_post action to do something with the data entered */
add_action('save_post', 'clf_base_layout_box_save');

add_filter("clf_base_add_style_path",'clf_base_add_layout_styles');
/**
 * clf_base_layout function.
 * 
 * @access public
 * @return void
 */
function clf_base_layout()
{
	add_settings_section('layout', 'Layout', 'clf_base_theme_options_layout', 'clf-base-theme-options');

	add_settings_field('clf-base-layout-select-layout', 'Select Default Layout', 'clf_base_theme_options_layout_fields', 'clf-base-theme-options', 'layout');
	
	wp_register_style('clf-base-css-ui-layout', get_bloginfo('stylesheet_directory').'/library/layout/panel.css');
			
	add_action('clf_base_admin_ui','clf_base_layout_styles');
	
	
}

function clf_base_add_layout_styles($paths)
{
	$paths[] = '/library/layout/css/layout.css';
	
	return $paths;
}

/**
 * clf_base_layout_styles function.
 * 
 * @access public
 * @return void
 */
function clf_base_layout_styles()
{
	wp_enqueue_script('clf-base-layout-panel', get_bloginfo('stylesheet_directory').'/library/layout/panel.js', array('jquery'));
	wp_enqueue_style( 'clf-base-css-ui-layout' );
	
}
/**
 * clf_base_theme_options_layout function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_layout() {}


/**
 * clf_base_theme_options_layout_fields function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_layout_fields() {
	global $clf_base_options;
	?>
	<div class="explanation">
	<h3>Layouts</h3>
	<p>The CLF advanced theme offers a number of layouts for your site.  Choose the layout that suits your needs. Note that different layouts place the sidebar(s) in different locations.</p>
	</div>
	<div id="layout-options-fields" class="options-fields options-shell ">
	<div class="option  ">
		<label><input type="radio" name="clf_base[layout]" value="l1-column" <?php checked('l1-column', $clf_base_options['layout']); ?>  />
		One Column</label>
		<div class="content-shell">
			<div class="main-column">Main</div>
		</div>
	</div>
	<!-- 2 Columns -->
	<div class="option two-column ">
		<label><input type="radio" name="clf_base[layout]" value="l2-column-ms" <?php checked('l2-column-ms', $clf_base_options['layout']); ?>    />
		2 Columns</label>
		<div class="content-shell">
			<div class="main-column">Main</div>
			<div class="side-column">Sidebar </div>
		</div>
	</div>
	<div class="option two-column ">
		<label><input type="radio" name="clf_base[layout]" value="l2-column-sm" <?php checked('l2-column-sm', $clf_base_options['layout']); ?>  />
		2 Columns</label>
		<div class="content-shell">
			<div class="side-column">Sidebar </div>
			<div class="main-column">Main</div>
		</div>
	</div>
	<!-- 3 Columns -->
	<div class="option three-column ">
		<label><input type="radio"name="clf_base[layout]" value="l3-column-msp" <?php checked('l3-column-msp', $clf_base_options['layout']); ?>  />
		3 Columns</label>
		<div class="content-shell">
			<div class="main-column">Main</div>
			<div class="side-column primary">Primary Sidebar </div>
			<div class="side-column secondary">Secondary Sidebar </div>
		</div>
	</div>
	<div class="option three-column">
		<label><input type="radio" name="clf_base[layout]" value="l3-column-pms" <?php checked('l3-column-pms', $clf_base_options['layout']); ?>   />
		3 Columns</label>
		<div class="content-shell">
			<div class="side-column primary">Primary Sidebar</div>
			<div class="main-column">Main</div>
			<div class="side-column secondary">Secondary Sidebar</div>
		</div>
	</div>
	<div class="option three-column ">
		<label><input type="radio" name="clf_base[layout]" value="l3-column-psm" <?php checked('l3-column-psm', $clf_base_options['layout']); ?>   />
		3 Columns</label>
		<div class="content-shell">
			<div class="side-column primary">Primary Sidebar</div>
			<div class="side-column secondary">Secondary Sidebar</div>
			<div class="main-column">Main</div>
		</div>
	</div>
	</div>
	
	<div class="explanation">
	<h3>Widget Areas</h3>
	<p>Your choice of layout affects where various widget areas will appear on your site.  See below for how each layout changes the widget area's location.</p>
	</div>
	<div id="main-body-layout" class="<?php echo $clf_base_options['layout']." ". substr($clf_base_options['layout'], 0, 9); ?> ">
	<div id="body-container">
		<div id="header-container">
		</div><!-- #header-container -->
		<div id="container">
		<div  class="hfeed content">
			<div id="utility-before-content" class="utility">
				<div class="widget-area"><span>Widget Area</span> Utility: Before Content</div>
			</div><!-- #utility-before-content .utility -->
			
			<div id="post-724" class="hentry post page post-1 odd author-enej">
			    
				<h4 class="page-title entry-title">Title Page/Post</h4>
				<div class="entry-content entry">
					<p>Donec id metus dolor. Maecenas convallis ornare neque. </p><p>Integer volutpat imperdiet enim, sit amet congue mauris placerat ac. </p>
				</div><!-- .entry-content -->	
			</div><!-- .hentry .post -->
			
			<div id="utility-after-page" class="utility">
				<div class="widget-area"><span>Widget Area</span> Utility: After Page or Utility: After Single</div>
			</div><!-- #utility-after-page .utility -->
			<!--  
			<div id="utility-after-entry" class="utility">
				<div class="widget-area">Utility: After Single</div>
			</div>--><!-- #utility-after-page .utility -->
			
			<div id="post-724" class="hentry post page post-1 odd author-enej">
			    
				<h4 class="page-title entry-title">Title Page/Post</h4>
				<div class="entry-content entry">
					<p>Donec id metus dolor. Maecenas convallis ornare neque. </p>
				</div><!-- .entry-content -->	
			</div><!-- .hentry .post -->
			
			<div id="utility-after-page" class="utility">
				<div class="widget-area"><span>Widget Area</span> Utility: After Page or Utility: After Single</div>
			</div><!-- #utility-after-page .utility -->
			
			<!-- <div id="utility-after-entry" class="utility">
				<div class="widget-area">Utility: After Single</div>
			</div>--><!-- #utility-after-page .utility -->
			
			<div id="utility-after-content" class="utility">
				<div class="widget-area"><span>Widget Area</span> Utility After Content</div>
			</div><!-- #utility-after-content .utility -->
		</div><!-- .content .hfeed -->
				
		<div id="primary" class="aside">
			<div class="widget-area"><span>Widget Area</span> Primary</div>
		</div><!-- #primary .aside -->
	
		<div id="secondary" class="aside">
			<div class="widget-area"><span>Widget Area</span> Secondary</div>	
		</div><!-- #secondary .aside -->
	
	
		</div><!-- #container -->
	
		<div id="footer-container">
			<div id="subsidiary" class="aside">
				<div class="widget-area"><span>Widget Area</span> Subsidiary</div>
			</div><!-- #subsidiary .aside -->
			<div id="footer-widget-areas">
			</div><!-- #footer -->
		</div><!-- #footer-container -->
	
	</div><!-- #body-container -->
	</div>	
	
	<?php 
}






/* Adds a custom section to the "advanced" Post and Page edit screens */
function clf_base_layout_box() {
	add_meta_box( 'clf_base_layout_box', __( 'Page Layout', 'clf_base' ), 'clf_base_layout_box_inner', 'page', 'side','high' );
}
   
/* Prints the inner fields for the custom post/page section */
function clf_base_layout_box_inner() {
 
  global $post;
  
  $clf_base_layout_a = get_post_meta($post->ID, '_layout_value');
  $clf_base_layout = $clf_base_layout_a[0];
  if($clf_base_layout == "")
 	 $clf_base_layout = "default";
 
 
  // Use nonce for verification
  echo '<input type="hidden" name="clf_base_layout_noncename" id="myplugin_noncename" value="' . wp_create_nonce( plugin_basename(__FILE__) ) . '" />';
	
  // The actual fields for data entry
  ?><div id="clf_base_layout_box">
  	<span>Choose a page specific layout</span>
  	<br />	<br />
  	<div class="option">
		<label class="default"><input type="radio" name="clf_base_layout" value="default" <?php checked('default', $clf_base_layout); ?>  />
		Default</label>
	</div>
  	<div class="option one-column">
		<label  title="1 Column"><input type="radio" name="clf_base_layout" value="l1-column" <?php checked('l1-column', $clf_base_layout); ?>  />
		1 Column
		<span class="content-shell">
			<span class="main-column">Main</span>
		</span></label>
	</div>
	<!-- 2 Columns -->
	<div class="option two-column ">
		<label title="2 Column"><input type="radio" name="clf_base_layout" value="l2-column-ms" <?php checked('l2-column-ms', $clf_base_layout); ?>    />
		2 Columns
		<span class="content-shell">
			<span class="main-column" >Main</span>
			<span class="side-column">Sidebar </span>
		</span>
		</label>
	</div>
	<div class="option two-column ">
		<label  title="2 Column"><input type="radio" name="clf_base_layout" value="l2-column-sm" <?php checked('l2-column-sm', $clf_base_layout); ?>  />
		2 Columns
		<span class="content-shell">
			<span class="side-column">Sidebar</span>
			<span class="main-column">Main</span>
		</span>
		</label>
	</div>
	<!-- 3 Columns -->
	<div class="option three-column ">
		<label title="3 Column"><input type="radio"name="clf_base_layout" value="l3-column-msp" <?php checked('l3-column-msp', $clf_base_layout); ?>  />
		3 Columns
		<span class="content-shell">
			<span class="main-column">Main</span>
			<span class="side-column secondary">Secondary Sidebar </span>
			<span class="side-column primary">Primary Sidebar </span>
		</span>
		</label>
	</div>
	<div class="option three-column">
		<label  title="3 Column"><input type="radio" name="clf_base_layout" value="l3-column-pms" <?php checked('l3-column-pms', $clf_base_layout); ?>   />
		3 Columns
		<span class="content-shell">
			<span class="side-column primary">Primary Sidebar</span>
			<span class="main-column">Main</span>
			<span class="side-column secondary">Secondary Sidebar</span>
		</span>
		</label>
	</div>
	<div class="option three-column ">
		<label  title="3 Column"><input type="radio" name="clf_base_layout" value="l3-column-psm" <?php checked('l3-column-psm', $clf_base_layout); ?>   />
		3 Columns
		<span class="content-shell">
			<span class="side-column primary">Primary Sidebar</span>
			<span class="side-column secondary">Secondary Sidebar</span>
			<span class="main-column">Main</span>
		</span>
		</label>
	</div>
	</div>
	<style type='text/css'>
		#clf_base_layout_box {
			position: relative;
			overflow: hidden;
			font-family: 
		}
		#clf_base_layout_box .option label.default{
			text-indent: 0;
			
		}
		#clf_base_layout_box .option label{
			float:left;
			display:block;
			width: 32px;
			height: 16px;
			padding-top: 20px;
			position: relative;
			overflow: hidden;
			background: #EEE;
			margin: 0 0 10px 4px;
			text-indent: -999em;
			-moz-border-radius: 4px; /* FF1+ */
  			-webkit-border-radius: 4px; /* Saf3+, Chrome */
          	border-radius: 4px; /* Opera 10.5, IE 9 */
          	font-size: 10px;
		}
		#clf_base_layout_box .option label:hover{
			/*text-indent: 0;
			height: 16px;
			margin: 0 0 0 4px;*/
		}
		#clf_base_layout_box .option label input{
			position: absolute;
			top: 2px;
			left: 2px;
		}
		#clf_base_layout_box .option label .content-shell{
			display: block;
			width: 100%;
			float: left;
		}
		#clf_base_layout_box .option label span{
			text-indent: -99em;
			display: block;
		}
		#clf_base_layout_box div.one-column label .main-column{
			width: 30px;
		}
		#clf_base_layout_box .option label .side-column,
		#clf_base_layout_box .option  label .main-column{
			width: 18px;
			height: 10px;
			display: block;
			background: #CCC;
			float: left;
			margin: 1px;
		}
		
		#clf_base_layout_box .option label .side-column{
			width: 10px;
		}
		#clf_base_layout_box .option label span.secondary,
		#clf_base_layout_box .option label span.primary{
			width: 4px;
		}
		#clf_base_layout_box .option label:hover{
			background: #EAF2FB;
		}
		#clf_base_layout_box .option label:hover .main-column,
		#clf_base_layout_box .option label:hover .side-column{
			background: #B6CFDA;
		}
		/* starting normal sortables */
		#normal-sortables 
		#clf_base_layout_box .option label{
			float:left;
			display:block;
			width: 159px;
			padding-top:2px;
			position: relative;
			overflow: hidden;
			text-indent: 0;
			height: 60px;
		}
		#normal-sortables 
		#clf_base_layout_box .option label input{
			position: relative;
			top:0;
		}
		#normal-sortables
		#clf_base_layout_box .option label .content-shell{
			display: block;
			width: 100%;
			float: left;
			margin-left: -2px;
		}
		#normal-sortables
		#clf_base_layout_box div.one-column  label .main-column{
			width: 154px;
		}
		#normal-sortables
		#clf_base_layout_box div.two-column  label .main-column{
			width: 105px;
		}
		#normal-sortables
		#clf_base_layout_box .option label span{
			text-indent: 0;
			height: 30px;
			padding: 2px;	
		}
		#normal-sortables
		#clf_base_layout_box .option label .main-column{
			width: 57px;
		}
		#normal-sortables
		#clf_base_layout_box .option label .side-column{
			width: 42px;
		}
	</style>

  <?php
}





/**
 * clf_base_layout_box_save function.
 * When the post is saved, saves our custom data
 * @access public
 * @param mixed $post_id
 * @return void
 */
function clf_base_layout_box_save( $post_id ) {

	// verify this came from the our screen and with proper authorization,
	// because save_post can be triggered at other times
	
	if ( !wp_verify_nonce( $_POST['clf_base_layout_noncename'], plugin_basename(__FILE__) )) {
	return $post_id;
	}
	
	// verify if this is an auto save routine. If it is our form has not been submitted, so we dont want
	// to do anything
	if ( defined('DOING_AUTOSAVE') && DOING_AUTOSAVE ) 
	return $post_id;
	
	
	// Check permissions
	if ( 'page' == $_POST['post_type'] ) {
	if ( !current_user_can( 'edit_page', $post_id ) )
	return $post_id;
	} 
	// OK, we're authenticated: we need to find and save the data
	
	$data = $_POST['clf_base_layout'];
	
	// Do something with $mydata 
	// probably using add_post_meta(), update_post_meta(), or 
	// a custom table (see Further Reading section below)
	
	if(get_post_meta($post_id, '_layout_value') == "")  
		add_post_meta($post_id, '_layout_value', $data, true);  
	
	elseif($data != get_post_meta($post_id, '_layout_value', true))  
		update_post_meta($post_id, '_layout_value', $data);  
	
	elseif($data == "")  
		delete_post_meta($post_id, '_layout_value', get_post_meta($post_id, $meta_box['name'].'_value', true)); 

   return $mydata;
}





