<?php 

// Function that will return our Wordpress menu

/**
 * clf_base_list_menu function.
 * example: [menu menu='top-menu'] 
 * @access public
 * @param mixed $atts
 * @param mixed $content. (default: null)
 * @return void
 */
function clf_base_list_menu($atts) {
	extract(shortcode_atts(array(  
		'menu'            => '', 
		'container'       => 'div', 
		'container_class' => '', 
		'container_id'    => '', 
		'menu_class'      => 'menu', 
		'menu_id'         => '',
		'fallback_cb'     => 'wp_page_menu',
		'before'          => '',
		'after'           => '',
		'link_before'     => '',
		'link_after'      => '',
		'depth'           => 0,
		'walker'          => '',
		'theme_location'  => ''), 
		$atts));
 	return wp_nav_menu( array( 
		'menu'            => $menu, 
		'container'       => $container, 
		'container_class' => $container_class, 
		'container_id'    => $container_id, 
		'menu_class'      => $menu_class, 
		'menu_id'         => $menu_id,
		'echo'            => false,
		'fallback_cb'     => $fallback_cb,
		'before'          => $before,
		'after'           => $after,
		'link_before'     => $link_before,
		'link_after'      => $link_after,
		'depth'           => $depth,
		'walker'          => $walker,
		'theme_location'  => $theme_location));

}
//Create the shortcode
add_shortcode("menu", "clf_base_list_menu");


if(function_exists("shortcode_builder_add_support")){
	add_action("init","clf_base_list_menu_builder");		
}

function clf_base_list_menu_builder(){
	
	$menus = wp_get_nav_menus();

	foreach($menus as $menu)
		$select_menus[$menu->slug] = $menu->name;
	
	$inputs = array( 
	'inputs' => array(
		array( 
			'type'  => 'select', 
			'label' => 'menu', 
			'hint'  => '', 
			'required' => true, 
			'attr' => 'menu',
			'value'=> $select_menus,
			'default_value' => $select_menus[$menus[0]->slug]),
		array( 
			'type'  => 'text', 
			'label' => 'container', 
			'hint'  => 'the html container of the menu', 
			'required' => false, 
			'attr' => 'container',
			'value'=> "div",
			'default_value'=> 'div')),
	 'preview' => false,
		
	);
	shortcode_builder_add_support("menu",$inputs);

}