<?php 
/** 
 * Shortcodes
 *
 */
add_action('admin_init', 'clf_base_shortcode');

/**
 * clf_base_shortcode function.
 * 
 * @access public
 * @return void
 */
function clf_base_shortcode()
{
	add_settings_section('shortcode', 'Shortcodes', 'clf_base_theme_options_shortcodes', 'clf-base-theme-options');
	add_settings_field('clf-base-shortcodes-info', 'Available Shortcodes', 'clf_base_theme_options_shortcodes_options', 'clf-base-theme-options', 'shortcode');
	wp_register_style('clf-base-css-ui-shortcodes', get_bloginfo('stylesheet_directory').'/library/shortcodes/panel.css');
	
	add_action('clf_base_admin_ui','clf_base_shortcodes_ui');

}

/**
 * clf_base_shortcodes_ui function.
 * 
 * @access public
 * @return void
 */
function clf_base_shortcodes_ui()
{	
	wp_enqueue_script('clf-base-shorcodes-panel', get_bloginfo('stylesheet_directory').'/library/shortcodes/panel.js', array('jquery'));
	wp_enqueue_style( 'clf-base-css-ui-shortcodes' );
}

/**
 * clf_base_theme_options_shortcodes function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_shortcodes() { }

function clf_base_theme_options_shortcodes_options() {
	global $shortcode_tags;
	ksort($shortcode_tags);	
	?>
	<br />
	<?php
	foreach($shortcode_tags as $shortcode => $shortcode_function ):
		?>
		
		<a id="<?php echo $shortcode; ?>"><?php echo $shortcode; ?></a> <span>[<?php echo $shortcode; ?>]</span><br />
		<div class="shortcode-info" id="shell-<?php echo $shortcode; ?>">
		<?php
			echo $shortcode_function; 
		  if(class_exists("ReflectionFunction")):
		  $oClassReflect = new ReflectionFunction($shortcode_function);
		  $docs = str_replace(array("/**", "*/","*"),"",$oClassReflect->getDocComment());
		  $docs_array = explode("\n",  $docs);
		  foreach($docs_array as $doc_line):
		  	echo $doc_line."<br />";
		  endforeach;
		  unset($oClassReflect ); 
		  else: 
		  ?>
		   :( you need some PHP 5 in your life my friend.
		  <?php
		  endif;
		  ?>
		  
		  </div>
		  <?php
		  
	endforeach;
}