<?php
/** 
 * Widget Areas
 *
 */
add_action('admin_init', 'clf_base_widget_areas');

/**
 * clf_base_widget_areas function.
 * 
 * @access public
 * @return void
 */
function clf_base_widget_areas()
{
	//add_settings_section('widget-areas', 'Widget Areas', 'clf_base_theme_options_widget_areas', 'clf-base-theme-options');
	
	// add this to the layout area
	//add_settings_field('clf-base-widget-areas-enable', 'Enable Widget Areas', 'clf_base_theme_options_widget_areas_fields', 'clf-base-theme-options', 'layout');
	
	// include styles 
	wp_register_style('clf-base-css-ui-widget-areas', get_bloginfo('stylesheet_directory').'/library/widget-areas/panel.css');
	add_action('clf_base_admin_ui','clf_base_widget_areas_styles');
	
	// validation filter
	//add_filter("clf_base_theme_options_validate", "clf_base_widget_areas_validate");
}	


function clf_base_widget_areas_styles()
{
	wp_enqueue_style( 'clf-base-css-ui-widget-areas');
}


/**
 * clf_base_theme_options_widget_areas function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_widget_areas()
{	?>
		<p>This theme has the following widget areas:</p>
		
	<?php 
}

/**
 * clf_base_theme_options_widget_areas_fields function.
 * 
 * @access public
 * @return void
 */
function clf_base_theme_options_widget_areas_fields()
{
	global $clf_base_options;
?>
<div class="<?php echo $clf_base_options['layout']." ". substr($clf_base_options['layout'], 0, 9); ?> ">
<div id="body-container">
	<div id="header-container">
	</div><!-- #header-container -->
	<div id="container">
	<div id="content" class="hfeed content"><!-- Deprecated. Use the .content or .hfeed class for styling instead of #content. -->
	
		<div id="utility-before-content" class="utility">
			<?php clf_base_widget_area_checkbox('Utility: Before Content','utility-before-content'); ?>
		</div><!-- #utility-before-content .utility -->
		
		<div id="post-724" class="hentry post page post-1 odd author-enej">
			<h2 class="page-title entry-title">Title Page/Post</h2>
			<div class="entry-content entry">
				<p>Hello there</p>
			</div><!-- .entry-content -->	
		</div><!-- .hentry .post -->
		
		<div id="utility-after-page" class="utility">
			<?php clf_base_widget_area_checkbox('Utility: After Page','utility-after-page'); ?>
		</div><!-- #utility-after-page .utility -->
		
		<div id="utility-after-entry" class="utility">
			<?php clf_base_widget_area_checkbox('Utility: After Single','utility-after-single'); ?>
		</div><!-- #utility-after-page .utility -->
		
		<div id="utility-after-content" class="utility">
			<?php clf_base_widget_area_checkbox("Utility After Content",'utility-after-content'); ?>
		</div><!-- #utility-after-content .utility -->
	</div><!-- .content .hfeed -->

	<div id="primary" class="aside">
		<?php clf_base_widget_area_checkbox("Primary",'primary'); ?>
	</div><!-- #primary .aside -->

	<div id="secondary" class="aside">
		<?php clf_base_widget_area_checkbox('Secondary','secondary'); ?>
	</div><!-- #secondary .aside -->


	</div><!-- #container -->

	<div id="footer-container">
		<div id="subsidiary" class="aside">
			<?php clf_base_widget_area_checkbox("Subsidiary",'subsidiary'); ?>
		</div><!-- #subsidiary .aside -->
		<div id="footer-widget-areas">
		</div><!-- #footer -->
	</div><!-- #footer-container -->

</div><!-- #body-container -->
</div>
<?php 	
}

function clf_base_widget_areas_validate($input)
{
	$widget_areas_ids = array(	'primary',
								'secondary',
								'subsidiary',
								'utility-after-content',
								'utility-after-single',
								'utility-after-page',
								'utility-before-content');
	foreach($widget_areas_ids as $id):
		if(is_sidebar_active($id))
		$input['widget-areas'][$id] = "1";
	endforeach;
	return $input;

}

/** 
 * Helper function 
 */ 

function clf_base_widget_area_checkbox($label,$id)
{ 
	global $clf_base_options;
	if(is_sidebar_active($id)){
		
		$is_active = "active";
		$disabled = "disabled='disabled' ";
		$checked = "checked='checked' ";
	} else{
		
		$is_active = "inactive";
	}  ?>
	
	<div class="option <?php echo $class; ?>">
	<label for="f<?php echo $id; ?>"><input id="f<?php echo $id; ?>" type="checkbox" name="clf_base[widget-areas][<?php echo $id; ?>]" value="1" <?php checked(1, $clf_base_options['widget-areas'][$id]); echo $disabled.$checked; ?>     /> <?php echo $label; ?></label>
		
	<span>widget area is currently <em><?php echo $is_active; ?></em> </span>
	</div>
	<?php
}
