<?php
/**
 * Template Name: Sitemap
 *
 * Creates an XHTML sitemap for your site, listing everything.
 * This template lists your feeds, pages, archives, and posts.
 * @link http://themehybrid.com/themes/hybrid/page-templates/sitemap
 *
 * @package Hybrid
 * @subpackage Template
 */

get_header(); ?>

	<div class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>

		<?php if ( have_posts() ) : while ( have_posts() ) : the_post(); ?>

			<div id="post-<?php the_ID(); ?>" class="<?php hybrid_entry_class(); ?>">

				<?php hybrid_before_entry(); // Before entry hook ?>

				<div class="entry-content entry">

					<?php the_content(); ?>

					<ul class="xoxo sitemap-pages">
						<li><a href="<?php bloginfo( 'siteurl' ); ?>" title="<?php bloginfo( 'name' ); ?>"><?php _e('Home','hybrid'); ?></a></li>
						<?php wp_list_pages( array( 'title_li' => false ) ); ?>
					</ul><!-- .xoxo .pages -->

					
				</div><!-- .entry-content -->

				<?php hybrid_after_entry(); // After entry hook ?>

			</div><!-- .hentry .post -->

			<?php hybrid_after_page(); // After page hook ?>

			<?php comments_template( '', true ); ?>

			<?php endwhile; ?>

		<?php else: ?>

			<p class="no-data">
				<?php _e('Sorry, no page matched your criteria.', 'hybrid'); ?>
			</p><!-- .no-data -->

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>

	</div><!-- .content .hfeed -->

<?php get_footer(); ?>