<?php
/**
 * The template for displaying an event-category page
 *
 ***************** NOTICE: *****************
 *  Do not make changes to this file. Any changes made to this file
 * will be overwritten if the plug-in is updated.
 *
 * To overwrite this template with your own, make a copy of it (with the same name)
 * in your theme directory. 
 *
 * WordPress will automatically prioritise the template in your theme directory.
 ***************** NOTICE: *****************
 *
 * @package Event Organiser (plug-in)
 * @since 1.0.0
 */


get_template_part('event', 'functions');

get_header(); ?>

	<div id="content" class="hfeed content">

		<?php hybrid_before_content(); // Before content hook ?>
		
		<div class="archive-info taxonomy-info">

			<h1 class="archive-title taxonomy-title"><?php echo eo_get_venue_name(); ?></h1>
				
				<div class="archive-description taxonomy-description">
				<?php echo do_shortcode('[eo_venue_map width="100%"]'); ?>
				<?php 
				
					$address_details = eo_get_venue_address();
					$venue_description = eo_get_venue_description();
					if(!empty($venue_description)) : ?>
					<div class="venue-archive-meta">
						<?php echo $venue_description; ?>
					</div>
					<?php if(! empty( $address_details['address'] ) || !empty( $address_details['postcode'] ) ||  !empty( $address_details['country'] ) ) : ?>
					<div id="meta-location">
						<div class="address-title">Address:</div>
						<div class="adr">
						<?php if(! empty( $address_details['address'] ) )
							echo '<span class="street-address">'.$address_details['address'].' </span><br />';
						
						if(! empty( $address_details['postcode'] ) )
							echo '<span class="postal-code">'.$address_details['postcode']." </span><br />";
						
						if(! empty( $address_details['country'] ) )
							echo '<span class="country-name">'.$address_details['country']. '</span><br />';
						
						endif;
						?>
						</div>
					</div>
					<?php endif; ?>
					
				</div><!-- .archive-description -->
			
		</div><!-- .archive-info -->
		<?php 
		if ( have_posts() ) : 
			while ( have_posts() ) : the_post();
				get_template_part( 'event', 'part' );
			endwhile;

		else: ?>

			<p class="no-data">
				<?php _e( 'Apologies, but no events were found.', 'hybrid' ); ?>
			</p><!-- .no-data -->

		<?php endif; ?>

		<?php hybrid_after_content(); // After content hook ?>
		<!-- Navigate between pages-->
		<?php 
		if ( $wp_query->max_num_pages > 1 ) : ?>
			<div id="nav-below">
				<div class="nav-next events-nav-newer"><?php next_posts_link( __( 'Later events <span class="meta-nav">&rarr;</span>' , 'eventorganiser' ) ); ?></div>
				<div class="nav-previous events-nav-newer"><?php previous_posts_link( __( ' <span class="meta-nav">&larr;</span> Newer events', 'eventorganiser' ) ); ?></div>
			</div><!-- #nav-below -->
		<?php endif; ?>


	</div><!-- .content .hfeed -->

<?php get_footer(); ?>